## gate.creole
Class TestControllers

    java.lang.Object
      |
      +--junit.framework.Assert
            |
            +--junit.framework.TestCase
                  |
                  +--gate.creole.TestControllers

All Implemented Interfaces:
  junit.framework.Test

public class TestControllers
extends junit.framework.TestCase

Tests for controller classes

Field Summary
`private static boolean` `DEBUG` Debug flag
`(package private) CreoleRegister` `reg` The CREOLE register

Fields inherited from class junit.framework.TestCase
`fName`

Constructor Summary
`TestControllers(String name)` Construction

Method Summary
`void` `setUp()` Fixture set up
`static junit.framework.Test` `suite()` Test suite routine for the test runner
`void` `tearDown()` Put things back as they should be after running tests (reinitialise the CREOLE register).
`void` `testSerial1()` Serial controller test 1
`void` `testSerial2()` Serial controller test 2

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, name, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert

`assert, assert, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertNotNull, assertNotNull, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### DEBUG

    private static final boolean DEBUG

  Debug flag

### reg

    CreoleRegister reg

  The CREOLE register

Constructor Detail

### TestControllers

    public TestControllers(String name)

  Construction

Method Detail

### setUp

    public void setUp()
               throws GateException

  Fixture set up
  Overrides:
    `setUp` in class `junit.framework.TestCase`

### tearDown

    public void tearDown()
                  throws Exception

  Put things back as they should be after running tests (reinitialise the CREOLE register).
  Overrides:
    `tearDown` in class `junit.framework.TestCase`

### testSerial1

    public void testSerial1()
                     throws Exception

  Serial controller test 1

### testSerial2

    public void testSerial2()
                     throws Exception

  Serial controller test 2

### suite

    public static junit.framework.Test suite()

  Test suite routine for the test runner